#670 xmlpeek too verbose

0.85
closed-fixed
Tasks (408)
5
2010-02-07
2008-03-10
No

The XmlPeek task uses Level.Info to output status messages. This makes it impossible to work it silently. \

It should use Level.Verbose.

Discussion

  • Charles Chan

    Charles Chan - 2010-01-09

    Index: XmlPeekTask.cs

    RCS file: /cvsroot/nant/nant/src/NAnt.Core/Tasks/XmlPeekTask.cs,v
    retrieving revision 1.11
    diff -u -8 -p -r1.11 XmlPeekTask.cs
    --- XmlPeekTask.cs 4 Apr 2005 12:08:29 -0000 1.11
    +++ XmlPeekTask.cs 9 Jan 2010 03:38:49 -0000
    @@ -141,17 +141,17 @@ namespace NAnt.Core.Tasks {
    #endregion Public Instance Properties

    #region Override implementation of Task

    /// <summary>
    /// Executes the XML peek task.
    /// </summary>
    protected override void ExecuteTask() {
    - Log(Level.Info, "Peeking at '{0}' with XPath expression '{1}'.",
    + Log(Level.Verbose, "Peeking at '{0}' with XPath expression '{1}'.",
    XmlFile.FullName, XPath);

    // ensure the specified xml file exists
    if (!XmlFile.Exists) {
    throw new BuildException(string.Format(CultureInfo.InvariantCulture,
    ResourceUtils.GetString("NA1154"), XmlFile.FullName), Location);
    }

    @@ -221,17 +221,17 @@ namespace NAnt.Core.Tasks {
    }

    if (nodes == null || nodes.Count == 0) {
    throw new BuildException(string.Format(CultureInfo.InvariantCulture,
    ResourceUtils.GetString("NA1156"), xpath),
    Location);
    }

    - Log(Level.Info, "Found '{0}' nodes with the XPath expression '{1}'.",
    + Log(Level.Verbose, "Found '{0}' nodes with the XPath expression '{1}'.",
    nodes.Count, xpath);

    if (nodeIndex >= nodes.Count){
    throw new BuildException(string.Format(CultureInfo.InvariantCulture,
    ResourceUtils.GetString("NA1157"), nodeIndex), Location);
    }

    XmlNode selectedNode = nodes[nodeIndex];

     
  • Charles Chan

    Charles Chan - 2010-02-07
    • assigned_to: nobody --> cchan_qa
     
  • Charles Chan

    Charles Chan - 2010-02-07

    Fixed.

    RCS file: /cvsroot/nant/nant/src/NAnt.Core/Tasks/XmlPeekTask.cs,v
    Working file: src/NAnt.Core/Tasks/XmlPeekTask.cs
    head: 1.12
    branch:
    locks: strict
    access list:
    symbolic names:
    rel-0-86-beta1: 1.11
    rel-0-85: 1.11
    rel-0-85-rc4: 1.11
    SolutionPatchesBranch: 1.11.0.2
    SolutionPatches: 1.11
    rel-0-85-rc3: 1.11
    rel-0-85-rc2: 1.10
    rel-0-84: 1.2.2.3
    rel-0-84-rc2: 1.2.2.2
    rel-0-84-rc1: 1.2
    BRANCH-084: 1.2.0.2
    EE-patches: 1.1.0.4
    BRANCH-0-8-4: 1.1.0.2
    keyword substitution: kv
    total revisions: 15; selected revisions: 1
    description:
    ----------------------------
    revision 1.12
    date: 2010/02/07 04:13:16; author: cchan_qa; state: Exp; lines: +3 -3
    Fix bug 1911292 - xmlpeek too verbose.
    =============================================================================

     
  • Charles Chan

    Charles Chan - 2010-02-07
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks